Printers

UUID: printers@linux-man
Last edited:
1 week ago 2019-01-12, 03:28 UTC
Last commit: [09cfc697] printers@linux-man: Implement Scrollbars (#2205)

Manage Jobs and Printers

README

Close

cinnamon-printers

printers@linux-man

Cinnamon applet - Manage Jobs and Printers

Czech translation by Radek71(https://github.com/Radek71), tweaked by p-bo(https://github.com/p-bo)

German translation by NikoKrause(https://github.com/NikoKrause)

Russian translation by Andreevlex(https://github.com/Andreevlex)

Swedish translation by eson57

Chinese translation by giwhub

Croatian translation by muzena

French corrections by Christophe Hortemel

Danish translation by Alan01

Changelog

1.0

Implement Scrollbars on cancel jobs list
Wait for update to finish to display the menu

0.9.1

Use pkexec to "Restart CUPS"

0.9

Configuration: "Reload Applet" and "Restart CUPS" buttons

0.8

Applet also updates when closing menu

0.7

Applet only updates when receives a Cups signal - faster Menu toggle
3s timeout between updates
More error conditions
Code cleanup

0.6

Get rid of the loop - applet updates when clicked or receive a Cups signal

0.5

Compatibility with Cinnamon 3.2
Vertical panels (setAllowedLayout)
Allow multiple instances

0.4

Using async calls (spawn_async)

0.3

Correctly show unicode chars

0.2

Minor changes

0.1

Initial release

Log In To Comment!

5 Comments

Caldas Lopes
Caldas Lopes-1 year ago
Sometimes Printers stop responding. It seems it lost connection with CUPS server or part of CUPS just died. Looks like a system issue because there are no printing notifications. Console "sudo systemctl restart cups.service" is the fastest way to make it work again.
Jhon Monrroy
Jhon Monrroy-1 year ago
This great applet is not working in LM 18.3 with cinnamon 3.6 :-(
Caldas Lopes
Caldas Lopes-1 year ago
You're welcome, but no changes were made! I was just thinking about installing 3.4 to test compatibility. It seems I don't need to.
dodona2
dodona2-1 year ago
works on cinnamon 3.4 -THANKS!
dodona2
dodona2-1 year ago
unfortunately not yet compatible with cinnamon 3.4